Bug 1858117 - xsom fails to build with java-11-openjdk
Summary: xsom fails to build with java-11-openjdk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xsom
Version: rawhide
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Java11
TreeView+ depends on / blocked
 
Reported: 2020-07-16 22:45 UTC by jiri vanek
Modified: 2020-07-18 15:39 UTC (History)
7 users (show)

Fixed In Version: xsom-20140514-5.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-18 15:39:16 UTC
Type: ---


Attachments (Terms of Use)

Description jiri vanek 2020-07-16 22:45:21 UTC
xsom fails to build with java-11-openjdk as sytem JDK. See https://fedoraproject.org/wiki/Changes/Java11 .
See especially part about known failures: https://fedoraproject.org/wiki/Changes/Java11#common_issues_packagers_can_face_and_gathered_solutions

For the build logs, see: https://koji.fedoraproject.org/koji/taskinfo?taskID=47164420
We run the rebuild longer then 10days ago. Log may be gone. Also your package may be passing in regular rawhide.
To reproduce, simply: fedpkg clone xsom; cd xsom;  fedpkg build --target f33-java11; #The target is crucial.

We run two reruns your package failed both.


We had tried 650 packages, and 500 had passed, so the java-11-openjdk will be system JDK in f33, and you should fix your package if you want to keep it alive. Usually the fix is simple, and best is to update the package to latest upstream version.
There will be usual mass rebuild once f33 branches. You may got another FTBFS bug.
Let us know here if you have any questions, here in bug, or at java-devel.org .

We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side if needed.

Comment 1 jiri vanek 2020-07-17 04:08:50 UTC
highlight: This was rebuild in sidetag f33-java11. Thus --target is really necessary to reproduce failure.
please note: This side tag, f33-java11, will be merged to main f33 buildroot in aprox 14 days.

Comment 2 Fabio Valentini 2020-07-18 15:39:16 UTC
Fixed and built for f33-java11:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1543508


Note You need to log in before you can comment on or make changes to this bug.